package com.eactive.eai.adapter.http;

public enum HttpMethodType {
	POST, 
	PUT, 
	DELETE, 
	GET, 
	PATCH,
	UNKNOWN;
	public static HttpMethodType getValue(String value) {
		try {
			return valueOf(value.toUpperCase());
		} catch (Exception e) {
			return UNKNOWN;
		}
	}

//	public static void main(String[] args) throws Exception {
//		
//		if ("DELETE".equals(HttpMethodType.DELETE.toString())){
//			System.out.println("delete");
//		}else{
//			
//			System.out.println("not delete");
//		}
//	}
}
